----------------------------------------------------------------------------
--  par_loop.vhd
--	Example Loopback 
--	Version 1.0
--
--  Copyright (C) 2015 H.Poetzl
--
--	This program is free software: you can redistribute it and/or
--	modify it under the terms of the GNU General Public License
--	as published by the Free Software Foundation, either version
--	2 of the License, or (at your option) any later version.
--
----------------------------------------------------------------------------



library IEEE;
use IEEE.std_logic_1164.ALL;
use IEEE.numeric_std.ALL;


entity par_loop is
    port (
	clk : in std_logic;
	--
  	rx_data : in std_logic_vector (7 downto 0);
	rx_empty : in std_logic;
	rx_ren : out std_logic;
	--
  	tx_data : out std_logic_vector (7 downto 0);
	tx_full : in std_logic;
	tx_wen : out std_logic
    );
end entity par_loop;


architecture RTL of par_loop is
begin
    data_echo : process (clk)
    begin
	if rising_edge(clk) then

	    if not rx_empty and not tx_full then
	    	tx_data <= rx_data;
		rx_ren <= '1';
		tx_wen <= '1';
	    else
		rx_ren <= '0';
		tx_wen <= '0';
	    end if;
	end if;
    end process;
end RTL;
