# vivado.tcl
#	Zybo simple build script
#	Version 1.0
# 
# Copyright (C) 2013 H.Poetzl

set ODIR .

# STEP#1: setup design sources and constraints

read_vhdl ../top.vhd
read_vhdl ../ser_rxtx.vhd
read_vhdl ../par_loop.vhd

read_xdc ../top.xdc

set_property vhdl_version vhdl_2008 [current_fileset] 

set_property PART xc7z010clg400-3 [current_project]
set_property TARGET_LANGUAGE VHDL [current_project]

# STEP#2: run synthesis, write checkpoint design

synth_design -top top -flatten rebuilt    
write_checkpoint -force $ODIR/post_synth

# STEP#3: run placement and logic optimzation, write checkpoint design

opt_design -propconst -sweep -retarget -remap

place_design -directive Quick
phys_opt_design -critical_cell_opt -critical_pin_opt -placement_opt -hold_fix -rewire -retime
power_opt_design
write_checkpoint -force $ODIR/post_place

# STEP#4: run router, write checkpoint design

route_design -directive Quick
write_checkpoint -force $ODIR/post_route


report_timing -no_header -path_type summary -max_paths 1000 -slack_lesser_than 0 -setup
report_timing -no_header -path_type summary -max_paths 1000 -slack_lesser_than 0 -hold

